For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom Host

List of Custom Hosts Not in Host Pools

get

Retrieve a list of Azure Virtual Desktop Custom Hosts not in Host Pools.

Query parameters
providerIdinteger · int32Optional

The Provider ID for which to retrieve the list of Azure Virtual Desktop Custom Hosts.

Responses
200

Success

application/json; api-version=1.0

AVD Custom Host

hoststring · nullableOptional

Host

hostPoolstring · nullableOptional

Host Pool

hostOSstring · nullableOptional

Host OS

hostStatestring · enumOptional

Power State

Possible values:
resourceGroupstring · nullableOptional

Resource Group

locationstring · nullableOptional

Location

virtualNetworkstring · nullableOptional

Virtual Network

providerIdinteger · int32Optional

Provider Id

azureIdstring · nullableOptional

Azure Id

get/api/AVD/CustomHost
GET /api/AVD/CustomHost HTTP/1.1
Accept: */*
[
  {
    "host": "text",
    "hostPool": "text",
    "hostOS": "text",
    "hostState": [
      "0 = Unknown",
      "1 = PoweringOn",
      "2 = PoweringOff",
      "3 = PoweredOn",
      "4 = PoweredOff"
    ],
    "resourceGroup": "text",
    "location": "text",
    "virtualNetwork": "text",
    "providerId": 1,
    "azureId": "text"
  }
]